# Default Workspace Base Environment

A singleton resource representing the default workspace base environment configuration.
 This resource contains the workspace base environments that are used as defaults
 for serverless notebooks and jobs in the workspace, for both CPU and GPU compute types.

## The DefaultWorkspaceBaseEnvironment object

- [default-workspace-base-environment/object.md](default-workspace-base-environment/object.md)

## Endpoints

### Get the default workspace base environment configuration

- [GET /api/environments/v1/{name=default-workspace-base-environment}](get-default-workspace-base-environment.md)

### Update the default workspace base environment configuration

- [PATCH /api/environments/v1/{name=default-workspace-base-environment}](update-default-workspace-base-environment.md)

